# $Revision: 1.8 $, $Date: 2005/05/17 09:35:34 $
%define		_realname	browser-bookmarks-menu
Summary:	Small applet to allow easy access to bookmarks
Summary(pl):	May aplet umoliwiajcy atwy dostp do zakadek
Name:		gnome-applet-browser-bookmarks
Version:	0.5
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/browserbookapp/%{_realname}-%{version}.tar.gz
# Source0-md5:	15d5ef9e395961ebc36bcd872baa99c7
URL:		http://browserbookapp.sourceforge.net/
BuildRequires:	sed >= 4.0
Requires:	python-gnome-applet
Requires:	python-gnome-gconf
Requires:	python-gnome-ui
Requires:	python-gnome-vfs
Requires:	python-pygtk-gtk >= 2:2.6.0
Requires:	python-libxml2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appletdirname		%{_datadir}/browser-bookmarks-applet

%description
This is a small GNOME applet to allow easy access to your browser's
bookmarks, even when your browser is not open. It supports Mozilla,
Mozilla Firefox, Epiphany, Galeon and Konqueror bookmarks.

%description -l pl
May aplet GNOME umoliwiajcy atwy dostp do zakadek, nawet gdy
przegldarka WWW nie jest uruchomiona. Obsugiwane przegldarki to:
Mozilla, Mozilla Firefox, Epiphany, Galeon i Konqueror.

%prep
%setup -q -n %{_realname}-%{version}

%build
sed -i -e "s:/usr/lib/%{_realname}:%{_appletdirname}:" BrowserBookmarksMenu.server

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_appletdirname},%{_libdir}/bonobo/servers}
install BrowserBookmarksMenu.server $RPM_BUILD_ROOT%{_libdir}/bonobo/servers
install browser-bookmarks-menu.py $RPM_BUILD_ROOT%{_appletdirname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%attr(755,root,root) %{_appletdirname}
%{_libdir}/bonobo/servers/*.server

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-browser-bookmarks.spec,v $
Revision 1.8  2005/05/17 09:35:34  paladine
- missing R: python-gnome-vfs, rel. 2

Revision 1.7  2005/04/26 09:35:26  paladine
- no GConf schemas

Revision 1.6  2005/04/25 08:06:13  paladine
- updated to 0.5

Revision 1.5  2005/01/25 11:49:08  paladine
- updated to 0.4, STBR

Revision 1.4  2004/12/20 08:24:17  paladine
- package CHANGELOG
- proper license

Revision 1.3  2004/11/17 21:56:24  qboosh
- BR: sed 4.0

Revision 1.2  2004/11/17 18:29:23  paladine
- updated to 0.3 (support for Galeon and Konqueror)

Revision 1.1  2004/11/12 15:55:28  paladine
- initial
